<?php

namespace LaraBB\Settings\UI\Web\Requests\Prefix;

use Illuminate\Foundation\Http\FormRequest;

/**
 * Class Edit
 * @package LaraBB\Settings\UI\Web\Requests\Prefix
 */
class Edit extends FormRequest
{
    /**
     * @return bool
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * @return array
     */
    public function rules(): array
    {
        return [
            'uuid' => 'required|uuid|exists:settings_prefixes,uuid'
        ];
    }

    /**
     * @return array
     */
    public function messages(): array
    {
        return [
            'uuid.required' => 'Es wurde keine UUID übergeben.',
            'uuid.uuid'     => 'Die übergebene UUID ist ungültig.',
            'uuid.exists'   => 'Der zu bearbeitende Präfix existiert nicht.'
        ];
    }

    /**
     * @param null $keys
     * @return array
     */
    public function all($keys = null): array
    {
        $data         = parent::all($keys);
        $data['uuid'] = $this->route('uuid');

        return $data;
    }
}
